Page MenuHomePhabricator

Maps "align" attribute definitions, review and fix
Closed, ResolvedPublic

Description

I created a page to showcase the different presentation/alignment options we have at https://www.mediawiki.org/wiki/User:JGirault_(WMF)/QA/MapAlignment

  • Current state:
FramedFrameless
!align (default)right left
align=leftleft left
align=centercenter center
align=rightright left
  • TODOs:
    • Confirm default alignment for both framed and frameless.
    • Fix frameless right alignment

Details

Related Gerrit Patches:
mediawiki/extensions/Kartographer : masterFixes frameless right alignment not being applied

Event Timeline

JGirault created this task.Nov 4 2016, 9:43 PM
Restricted Application added a project: Discovery. · View Herald TranscriptNov 4 2016, 9:43 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
  • Confirm default alignment for both framed and frameless.

We have same question for Graphs, and @MaxSem and I decided to avoid confusion of having different defaults for each mode: (see T147768#2773162)
Maps and Graphs will have right alignment by default.

Updating the original ticket.

JGirault updated the task description. (Show Details)Nov 4 2016, 10:46 PM

Change 319964 had a related patch set uploaded (by JGirault):
Fixes frameless right alignment not being applied

https://gerrit.wikimedia.org/r/319964

JGirault added a comment.EditedNov 4 2016, 11:34 PM
  • Fix frameless right alignment

With this patch :

  • Alignment: align attribute
FramedFrameless
!align (default)rightright
align=leftleftleft
align=centercentercenter
align=rightrightright
Screenshot
JGirault moved this task from Backlog to Needs review on the Maps-Sprint board.Nov 4 2016, 11:34 PM

Change 319964 merged by jenkins-bot:
Fixes frameless right alignment not being applied

https://gerrit.wikimedia.org/r/319964

Yurik added a subscriber: Yurik.Nov 5 2016, 1:36 AM

@JGirault I updated your page a bit to have a lot of text around the graph. Seems good.

MaxSem closed this task as Resolved.Nov 9 2016, 7:11 PM
Deskana moved this task from Needs review to Done on the Maps-Sprint board.Apr 19 2017, 4:29 PM